/****************************************************************************
 *                       Chroma 19032 Electrical Safety Analyzer                           
 *---------------------------------------------------------------------------
 *   Copyright (c) National Instruments 1998.  All Rights Reserved.         
 *---------------------------------------------------------------------------
 *                                                                          
 * Title:    C19032P.h                                        
 * Purpose:  Chroma 19032 Electrical Safety Analyzer                                       
 *           instrument driver declarations.                                
 *                                                                          
 ****************************************************************************/

#ifndef __C19032P_HEADER
#define __C19032P_HEADER

#include <ivi.h>

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/****************************************************************************
 *----------------- Instrument Driver Revision Information -----------------*
 ****************************************************************************/
#define C19032P_MAJOR_VERSION                1     /* Instrument driver major version   */
#define C19032P_MINOR_VERSION                0     /* Instrument driver minor version   */
                                                                
#define C19032P_CLASS_SPEC_MAJOR_VERSION     2     /* Class specification major version */
#define C19032P_CLASS_SPEC_MINOR_VERSION     0     /* Class specification minor version */
 
#define C19032P_SUPPORTED_INSTRUMENT_MODELS  "19032P"
#define C19032P_DRIVER_VENDOR                "CHROMA"
#define C19032P_DRIVER_DESCRIPTION           "NONE"
                    
/**************************************************************************** 
 *------------------------------ Useful Macros -----------------------------* 
 ****************************************************************************/

        /*=CHANGE:===============================================================
           Add useful instrument macros here.                                                 
         *============================================================END=CHANGE=*/

/**************************************************************************** 
 *---------------------------- Attribute Defines ---------------------------* 
 ****************************************************************************/

    /*- IVI Inherent Instrument Attributes ---------------------------------*/    

        /* User Options */
#define C19032P_ATTR_RANGE_CHECK                   IVI_ATTR_RANGE_CHECK                    /* ViBoolean */
#define C19032P_ATTR_QUERY_INSTR_STATUS            IVI_ATTR_QUERY_INSTR_STATUS             /* ViBoolean */
#define C19032P_ATTR_CACHE                         IVI_ATTR_CACHE                          /* ViBoolean */
#define C19032P_ATTR_SIMULATE                      IVI_ATTR_SIMULATE                       /* ViBoolean */
#define C19032P_ATTR_RECORD_COERCIONS              IVI_ATTR_RECORD_COERCIONS               /* ViBoolean */

        /* Instrument Capabilities */
#define C19032P_ATTR_NUM_CHANNELS                  IVI_ATTR_NUM_CHANNELS                   /* ViInt32,  read-only  */

        /* Driver Information  */
#define C19032P_ATTR_SPECIFIC_DRIVER_PREFIX        IVI_ATTR_SPECIFIC_DRIVER_PREFIX         /* ViString, read-only  */
#define C19032P_ATTR_SUPPORTED_INSTRUMENT_MODELS   IVI_ATTR_SUPPORTED_INSTRUMENT_MODELS    /* ViString, read-only  */
#define C19032P_ATTR_GROUP_CAPABILITIES            IVI_ATTR_GROUP_CAPABILITIES             /* ViString, read-only  */
#define C19032P_ATTR_INSTRUMENT_MANUFACTURER       IVI_ATTR_INSTRUMENT_MANUFACTURER        /* ViString, read-only  */
#define C19032P_ATTR_INSTRUMENT_MODEL              IVI_ATTR_INSTRUMENT_MODEL               /* ViString, read-only  */
#define C19032P_ATTR_INSTRUMENT_FIRMWARE_REVISION  IVI_ATTR_INSTRUMENT_FIRMWARE_REVISION              /* ViString, read-only  */
#define C19032P_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION IVI_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION  /* ViInt32,  read-only  */
#define C19032P_ATTR_SPECIFIC_DRIVER_MINOR_VERSION IVI_ATTR_SPECIFIC_DRIVER_MINOR_VERSION  /* ViInt32,  read-only  */
#define C19032P_ATTR_SPECIFIC_DRIVER_REVISION      IVI_ATTR_SPECIFIC_DRIVER_REVISION       /* ViString, read-only  */
#define C19032P_ATTR_SPECIFIC_DRIVER_VENDOR        IVI_ATTR_SPECIFIC_DRIVER_VENDOR         /* ViString, read-only  */
#define C19032P_ATTR_SPECIFIC_DRIVER_DESCRIPTION   IVI_ATTR_SPECIFIC_DRIVER_DESCRIPTION    /* ViString, read-only  */
#define C19032P_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION IVI_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION /* ViInt32, read-only */
#define C19032P_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION IVI_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION /* ViInt32, read-only */

        /* Error Info */
#define C19032P_ATTR_PRIMARY_ERROR                 IVI_ATTR_PRIMARY_ERROR                  /* ViInt32   */
#define C19032P_ATTR_SECONDARY_ERROR               IVI_ATTR_SECONDARY_ERROR                /* ViInt32   */
#define C19032P_ATTR_ERROR_ELABORATION             IVI_ATTR_ERROR_ELABORATION              /* ViString  */

        /* Advanced Session Information */
#define C19032P_ATTR_LOGICAL_NAME                  IVI_ATTR_LOGICAL_NAME                   /* ViString, read-only  */
#define C19032P_ATTR_RESOURCE_DESCRIPTOR           IVI_ATTR_RESOURCE_DESCRIPTOR            /* ViString, read-only  */
#define C19032P_ATTR_IO_SESSION_TYPE               IVI_ATTR_IO_SESSION_TYPE                /* ViString, read-only  */
#define C19032P_ATTR_IO_SESSION                    IVI_ATTR_IO_SESSION                     /* ViSession, read-only */
    																   
    /*- Instrument-Specific Attributes -------------------------------------*/

#define C19032P_ATTR_ID_QUERY_RESPONSE      		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 1L)     /* ViString (Read Only) */
#define C19032P_ATTR_MEM_DEL         			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 2L)
#define C19032P_ATTR_MEM_NAME_DEFINE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 4L)
#define C19032P_ATTR_SYS_VERSION             	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 5L)
#define C19032P_ATTR_TEST_STATE              	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 6L)
#define C19032P_ATTR_OFFSET_STATE            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 7L)
#define C19032P_ATTR_RUN_COMPLETE_STATUS     	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 9L)
#define C19032P_ATTR_AUTO_RESULT_STATE       	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 10L)
#define C19032P_ATTR_DELETE_STEP             	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 11L)
#define C19032P_ATTR_STEP_SETTING            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 12L)
#define C19032P_ATTR_GB_CURRENT              	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 16L)
#define C19032P_ATTR_GB_LIMIT_HIGH   			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 17L)
#define C19032P_ATTR_GB_LIMIT_LOW    			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 18L)
#define C19032P_ATTR_GB_TEST_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 19L)
#define C19032P_ATTR_GB_TWINPORT_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 20L)
#define C19032P_ATTR_GB_CHANNEL_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 21L)
#define C19032P_ATTR_AC_CHANNEL_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 22L)
#define C19032P_ATTR_STEP_MODE_TYPE          	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 24L)
#define C19032P_ATTR_AC_VOLTAGE      			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 25L)
#define C19032P_ATTR_LLO_STATE               	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 26L)
#define C19032P_ATTR_AC_LIMIT_HIGH   			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 27L)
#define C19032P_ATTR_AC_LIMIT_LOW    			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 28L)
#define C19032P_ATTR_AC_ARC_LIMIT            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 29L)
#define C19032P_ATTR_AC_ARC_FILTER           	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 30L)
#define C19032P_ATTR_AC_RAMP_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 31L)
#define C19032P_ATTR_AC_TEST_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 32L)
#define C19032P_ATTR_DC_VOLTAGE      			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 33L)
#define C19032P_ATTR_DC_LIMIT_HIGH   			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 34L)
#define C19032P_ATTR_DC_LIMIT_LOW    			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 35L)
#define C19032P_ATTR_DC_ARC_LIMIT            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 36L)
#define C19032P_ATTR_DC_ARC_FILTER           	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 37L)
#define C19032P_ATTR_DC_RAMP_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 38L)
#define C19032P_ATTR_DC_TEST_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 39L)
#define C19032P_ATTR_DC_CHANNEL_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 40L)
#define C19032P_ATTR_IR_VOLTAGE      			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 43L)
#define C19032P_ATTR_IR_LIMIT_HIGH   			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 44L)
#define C19032P_ATTR_STEP_COUNT           	    (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 45L)
#define C19032P_ATTR_IR_LIMIT_LOW    			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 46L)
#define C19032P_ATTR_IR_RAMP_TIME        	    (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 47L)
#define C19032P_ATTR_IR_TEST_TIME           		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 48L)
#define C19032P_ATTR_IR_CHANNEL_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 49L)
#define C19032P_ATTR_LC_CHANNEL_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 52L)
#define C19032P_ATTR_LC_LIMIT_LOW            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 53L)
#define C19032P_ATTR_LC_TEST_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 54L)
#define C19032P_ATTR_LC_POWER_MODE           	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 55L)
#define C19032P_ATTR_LC_DEVICE_TYPE          	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 56L)
#define C19032P_ATTR_LC_LINE_INPUT   			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 57L)
#define C19032P_ATTR_LC_LIMIT_HIGH           	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 58L)
#define C19032P_ATTR_LC_POWER_LIMIT_HIGH 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 59L)
#define C19032P_ATTR_LC_POWER_LIMIT_LOW 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 60L)
#define C19032P_ATTR_LC_POWER_SIMU_TARGET_VOLT 	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 62L)
#define C19032P_ATTR_PRESET_PASS_HOLD_TIME 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 63L)
#define C19032P_ATTR_PRESET_STEP_HOLD_TIME 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 64L)
#define C19032P_ATTR_PRESET_GB_VOLTAGE       	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 67L)
#define C19032P_ATTR_PRESET_AC_FREQUENCY 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 68L)
#define C19032P_ATTR_PRESET_AUTO_RANGE       	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 69L)
#define C19032P_ATTR_PRESET_SOFT_AGC_STATE 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 70L)
#define C19032P_ATTR_PRESET_PART_NUMBER 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 71L)
#define C19032P_ATTR_PRESET_LOT_NUMBER 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 72L)
#define C19032P_ATTR_PRESET_SERIAL_NUMBER 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 73L)
#define C19032P_ATTR_LC_METER_METHOD         	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 75L)
#define C19032P_ATTR_LC_GR_SWITCH_STATE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 76L)
#define C19032P_ATTR_QUERY_MEM_INDEX         	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 77L)
#define C19032P_ATTR_QUERY_MEM_INDEX_NUM     	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 78L)
#define C19032P_ATTR_PAUSE_MESSAGE_STRING    	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 80L)
#define C19032P_ATTR_PAUSE_SIGNAL_STATE      	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 81L)
#define C19032P_ATTR_PRESET_GB_FREQUENCY     	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 82L)
#define C19032P_ATTR_PRESET_IEC_STATE        	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 83L)
#define C19032P_ATTR_PRESET_START_WAIT       	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 84L)
#define C19032P_ATTR_DC_DWELL_TIME          		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 85L)
#define C19032P_ATTR_OSC_OPEN_CHECK          	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 86L)
#define C19032P_ATTR_OSC_SHORT_CHECK         	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 87L)
#define C19032P_ATTR_OPTION_SCAN_TYPE 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 88L)
#define C19032P_ATTR_OSC_CHANNEL_STATE       	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 89L)
#define C19032P_ATTR_STANDARD_CAPACITANCE    	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 90L)
#define C19032P_ATTR_OPTION_GB_RATE  			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 91L)
#define C19032P_ATTR_FWVERSION               	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 92L)
#define C19032P_ATTR_OPTION_SCAN_CARD 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 93L)
#define C19032P_ATTR_OPTION_GB_FLOATING 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 94L)
#define C19032P_ATTR_OPTION_SCAN_NUM 			(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 95L)
#define C19032P_ATTR_PAUSE_TEST_TIME         	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 96L)
#define C19032P_ATTR_LC_POWER_SOUR_TARGET_VOLT 	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 97L)
#define C19032P_ATTR_LC_POWER_SOUR_TARGET_FREQ 	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 98L)
#define C19032P_ATTR_OPTION_USE_SOURCE       	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 99L)
#define C19032P_ATTR_AC_FALL_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 100L)
#define C19032P_ATTR_DC_FALL_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 101L)
#define C19032P_ATTR_IR_FALL_TIME            	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 102L)
#define C19032P_ATTR_IR_CURR_RANGE_UPPER 		(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 103L)
#define C19032P_ATTR_LC_AC_HIGH_LIMIT        	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 104L)
#define C19032P_ATTR_LC_DC_HIGH_LIMIT        	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 105L)
#define C19032P_ATTR_PRESET_RAMP_JUDGEMENT   	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 106L)
#define C19032P_ATTR_REMOTE_START_KEY        	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 107L)
#define C19032P_ATTR_IR_CURR_RANGE_AUTO      	(IVI_SPECIFIC_PUBLIC_ATTR_BASE + 108L)
#define C19032P_ATTR_MODEL                   (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 109L)
#define C19032P_ATTR_QUERY_MEM_MAX_CAPACITY (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 110L)
#define C19032P_ATTR_FUNC_MODE              (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 111L)
#define C19032P_ATTR_AUTO_REPORT_SAVED      (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 112L)
#define C19032P_ATTR_AC_LIMIT_REAL          (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 113L)
#define C19032P_ATTR_GB_CURRENT_OFFSET      (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 114L)
#define C19032P_ATTR_AC_FREQUENCY           (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 115L)
#define C19032P_ATTR_AC_CURRENT_OFFSET      (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 116L)
#define C19032P_ATTR_DC_CURRENT_OFFSET      (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 117L)
#define C19032P_ATTR_IR_CURRENT_LOW_RANGE   (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 118L)
#define C19032P_ATTR_IR_CURR_HIGH_RANGE     (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 119L)
#define C19032P_ATTR_PRESET_GFI     (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 120L)
#define C19032P_ATTR_PRESET_SCREEN          (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 121L)
#define C19032P_ATTR_OSC_RANGE_SELECT       (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 122L)
#define C19032P_ATTR_OSC_CRANGE             (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 123L)
#define C19032P_ATTR_OSC_CSTANDARD          (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 124L)
#define C19032P_ATTR_OSC_CURRENT_OFFSET     (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 125L)
#define C19032P_ATTR_LC_DISPLAY             (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 126L)
#define C19032P_ATTR_LC_TIME_DWELL          (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 127L)
#define C19032P_ATTR_LC_POWER_SOUR_CURRENT_HIGH (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 128L)
#define C19032P_ATTR_LC_POWER_SOUR_CURRENT_LOW (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 129L)
#define C19032P_ATTR_LC_POWER_SOUR_VA_HIGH  (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 130L)
#define C19032P_ATTR_LC_POWER_SOUR_VA_LOW   (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 131L)
#define C19032P_ATTR_LC_POWER_SOUR_POWER_HIGH (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 132L)
#define C19032P_ATTR_LC_POWER_SOUR_POWER_LOW (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 133L)
#define C19032P_ATTR_LC_POWER_SOUR_PFACTOR  (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 134L)
#define C19032P_ATTR_LC_UPM                 (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 135L)
#define C19032P_ATTR_LC_CURRENT_OFFSET      (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 136L)
#define C19032P_ATTR_LC_CURRENT_OFFSET_LAC  (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 137L)
#define C19032P_ATTR_LC_CURRENT_OFFSET_LDC  (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 138L)
    /*=CHANGE:===============================================================*
        Add attribute definitions here.                                       
        #define C19032P_ATTR_MY_ATTRIBUTE     (IVI_SPECIFIC_PUBLIC_ATTR_BASE + 2L) 
     *============================================================END=CHANGE=*/
/**************************************************************************** 
 *------------------------ Attribute Value Defines -------------------------* 
 ****************************************************************************/

        /* Instrument specific attribute value definitions */

    /*=CHANGE:==============================================================*
        Add value defines for instrument specific attributes here.  Example

    // Defined values for attribute C19032P_ATTR_EXAMPLE 

#define C19032P_VAL_EXAMPLE_1             1
#define C19032P_VAL_EXAMPLE_2             2
#define C19032P_VAL_EXAMPLE_3             3
     *===========================================================END=CHANGE=*/

/**************************************************************************** 
 *---------------- Instrument Driver Function Declarations -----------------* 
 ****************************************************************************/

    /*- Init and Close Functions -------------------------------------------*/
ViStatus _VI_FUNC  C19032P_init (ViRsrc resourceName, ViBoolean IDQuery, ViBoolean resetDevice, ViSession *vi);
ViStatus _VI_FUNC  C19032P_InitWithOptions (ViRsrc resourceName, ViBoolean IDQuery, ViBoolean resetDevice, ViString optionString, ViSession *newVi);
ViStatus _VI_FUNC  C19032P_InitializeWithRs232 (ViRsrc resourceName, ViBoolean IDQuery, ViBoolean resetDevice, ViInt32 baudRate, ViInt32 parity, ViInt32 dataBit, ViInt32 stopBit, ViSession *newVi);
ViStatus _VI_FUNC  C19032P_close (ViSession vi);   


    /*- Coercion Info Functions --------------------------------------------*/
ViStatus _VI_FUNC  C19032P_GetNextCoercionRecord (ViSession vi, ViInt32 bufferSize, ViChar record[]);

    /*- Locking Functions --------------------------------------------------*/
ViStatus _VI_FUNC  C19032P_LockSession (ViSession vi, ViBoolean *callerHasLock);   
ViStatus _VI_FUNC  C19032P_UnlockSession (ViSession vi, ViBoolean *callerHasLock);

        /*=CHANGE:===============================================================*
           Add instrument-specific public function declarations here.                           
         *============================================================END=CHANGE=*/
    
    /*- Error Functions ----------------------------------------------------*/
ViStatus _VI_FUNC  C19032P_error_query (ViSession vi, ViInt32 *errorCode, ViChar errorMessage[]);
ViStatus _VI_FUNC  C19032P_GetErrorInfo (ViSession vi, ViStatus *primaryError, ViStatus *secondaryError, ViChar errorElaboration[256]);
ViStatus _VI_FUNC  C19032P_ClearErrorInfo (ViSession vi);
ViStatus _VI_FUNC  C19032P_error_message (ViSession vi, ViStatus errorCode, ViChar errorMessage[256]);
    

ViStatus _VI_FUNC  C19032P_CheckFloat (ViSession vi, ViReal64 floatVal, ViInt32 index, ViInt32 *returnVal);

    /*- Utility Functions --------------------------------------------------*/
ViStatus _VI_FUNC  C19032P_reset (ViSession vi);
ViStatus _VI_FUNC  C19032P_self_test (ViSession vi, ViInt16 *selfTestResult, ViChar selfTestMessage[]);
ViStatus _VI_FUNC  C19032P_revision_query (ViSession vi, ViChar instrumentDriverRevision[], ViChar firmwareRevision[]);
ViStatus _VI_FUNC  C19032P_WriteInstrData (ViSession vi, ViConstString writeBuffer); 
ViStatus _VI_FUNC  C19032P_ReadInstrData  (ViSession vi, ViInt32 numBytes, ViChar rdBuf[], ViInt32 *bytesRead);

    /*- Set, Get, and Check Attribute Functions ----------------------------*/
ViStatus _VI_FUNC  C19032P_GetAttributeViInt32 (ViSession vi, ViConstString channelName, ViAttr attribute, ViInt32 *value);
ViStatus _VI_FUNC  C19032P_GetAttributeViReal64 (ViSession vi, ViConstString channelName, ViAttr attribute, ViReal64 *value);
ViStatus _VI_FUNC  C19032P_GetAttributeViString (ViSession vi, ViConstString channelName, ViAttr attribute, ViInt32 bufSize, ViChar value[]); 
ViStatus _VI_FUNC  C19032P_GetAttributeViSession (ViSession vi, ViConstString channelName, ViAttr attribute, ViSession *value);
ViStatus _VI_FUNC  C19032P_GetAttributeViBoolean (ViSession vi, ViConstString channelName, ViAttr attribute, ViBoolean *value);

ViStatus _VI_FUNC C19032P_GetPresetIEC (ViSession instrumentHandle,
                                        ViInt32 *IEC601);

ViStatus _VI_FUNC C19032P_GetPresetRjudgement (ViSession instrumentHandle,
                                               ViInt32 *rampJudgement);

ViStatus _VI_FUNC C19032P_GetPresetGFI (ViSession instrumentHandle,
                                        ViChar presetGFI[]);

ViStatus _VI_FUNC  C19032P_SetAttributeViInt32 (ViSession vi, ViConstString channelName, ViAttr attribute, ViInt32 value);
ViStatus _VI_FUNC  C19032P_SetAttributeViReal64 (ViSession vi, ViConstString channelName, ViAttr attribute, ViReal64 value);
ViStatus _VI_FUNC  C19032P_SetAttributeViString (ViSession vi, ViConstString channelName, ViAttr attribute, ViConstString value); 
ViStatus _VI_FUNC  C19032P_SetAttributeViSession (ViSession vi, ViConstString channelName, ViAttr attribute, ViSession value);
ViStatus _VI_FUNC  C19032P_SetAttributeViBoolean (ViSession vi, ViConstString channelName, ViAttr attribute, ViBoolean value);

ViStatus _VI_FUNC  C19032P_CheckAttributeViInt32 (ViSession vi, ViConstString channelName, ViAttr attribute, ViInt32 value);
ViStatus _VI_FUNC  C19032P_CheckAttributeViReal64 (ViSession vi, ViConstString channelName, ViAttr attribute, ViReal64 value);
ViStatus _VI_FUNC  C19032P_CheckAttributeViString (ViSession vi, ViConstString channelName, ViAttr attribute, ViConstString value); 
ViStatus _VI_FUNC  C19032P_CheckAttributeViSession (ViSession vi, ViConstString channelName, ViAttr attribute, ViSession value);
ViStatus _VI_FUNC  C19032P_CheckAttributeViBoolean (ViSession vi, ViConstString channelName, ViAttr attribute, ViBoolean value);

ViStatus _VI_FUNC C19032P_SetStandardC (ViSession instrumentHandle);

ViStatus _VI_FUNC C19032P_SetFunctionMode (ViSession instrumentHandle,
                                           ViBoolean functionMode);

// SET
ViStatus _VI_FUNC  C19032P_FetchFunctionStatus (ViSession vi, ViInt32 functionStatus, ViReal64 *returnValue);		   
ViStatus _VI_FUNC C19032P_FetchAllStatus (ViSession instrumentHandle,
                                          ViInt16 *f_Step, ViChar f_Mode[],
                                          ViReal64 *f_Output_Value,
                                          ViReal64 *f_Reading,
                                          ViReal64 *f_Ramp_Laps,
                                          ViReal64 *f_Ramp_Leave,
                                          ViReal64 *f_Test_Lapse,
                                          ViReal64 *f_Test_Leave);

ViStatus _VI_FUNC C19032P_FetchAllStatus_19055 (ViSession instrumentHandle,
                                                ViInt16 *f_Step, ViChar f_Mode[],
                                                ViReal64 *f_Output,
                                                ViReal64 *f_Measure,
                                                ViReal64 *f_RealCurrent,
                                                ViReal64 *f_Corona,
                                                ViReal64 *f_HFCC,
                                                ViReal64 *f_RampElapsed,
                                                ViReal64 *f_RampLeave,
                                                ViReal64 *f_DwellElapsed,
                                                ViReal64 *f_DwellLeave,
                                                ViReal64 *f_ElapsedTime,
                                                ViReal64 *f_LeaveTime,
                                                ViReal64 *f_ElapsedFall,
                                                ViReal64 *f_LeaveFall);

ViStatus _VI_FUNC C19032P_FetchAllStatus_19032P (ViSession instrumentHandle,
                                                 ViInt16 *f_Step,
                                                 ViChar f_Mode[], ViReal64 *OMET,
                                                 ViReal64 *MMET,
                                                 ViReal64 *LACMET,
                                                 ViReal64 *LDCMET,
                                                 ViReal64 *RELA, ViReal64 *RLEA,
                                                 ViReal64 *DELA, ViReal64 *DLEA,
                                                 ViReal64 *TELA, ViReal64 *TLEA,
                                                 ViReal64 *FELA, ViReal64 *FLEA,
                                                 ViReal64 *CHAN);

ViStatus _VI_FUNC  C19032P_SetStartTest (ViSession vi, ViBoolean startTest);
ViStatus _VI_FUNC  C19032P_SetOffsetState (ViSession vi, ViInt32 offsetState);



ViStatus _VI_FUNC C19032P_SetStartGetCs (ViSession instrumentHandle);

ViStatus _VI_FUNC  C19032P_SetAutoReport (ViSession vi, ViInt32 autoResult);

ViStatus _VI_FUNC C19032P_SetAutoReportSaved (ViSession instrumentHandle,
                                              ViBoolean autoReportSaved);

ViStatus _VI_FUNC  C19032P_SetOptionParameter (ViSession vi, ViChar scannerType[], ViInt32 GBFloating, ViInt32 scannerNumber, ViInt32 GBRate, ViInt32 useSource);
ViStatus _VI_FUNC  C19032P_DefaultScannerSetup (ViSession vi);
ViStatus _VI_FUNC  C19032P_SetRemoteStartState (ViSession vi, ViInt32 startState);
ViStatus _VI_FUNC  C19032P_DeleteStep (ViSession vi, ViInt32 deleteStepNumber);


ViStatus _VI_FUNC C19032P_GetFunctionMode (ViSession instrumentHandle,
                                           ViBoolean *functionMode);

ViStatus _VI_FUNC C19032P_SetReportDataItem_19032P (ViSession instrumentHandle,
                                                    ViChar dataItem[]);

// GET
ViStatus _VI_FUNC  C19032P_GetOffsetStatus (ViSession vi, ViInt32 *offsetStatus);
ViStatus _VI_FUNC  C19032P_GetTestStatus (ViSession vi, ViChar testStatus[]);
ViStatus _VI_FUNC  C19032P_GetStepCount (ViSession vi, ViInt32 *stepCount);
ViStatus _VI_FUNC  C19032P_GetAllOmet (ViSession vi, ViReal64 allOutMeter[]);

ViStatus _VI_FUNC C19032P_GetAllRmet (ViSession instrumentHandle,
                                      ViReal64 allRealCurrent[]);

ViStatus _VI_FUNC C19032P_GetAllCmet (ViSession instrumentHandle,
                                      ViReal64 allCORONA[]);

ViStatus _VI_FUNC C19032P_GetAllCCmet (ViSession instrumentHandle,
                                       ViReal64 allC_ofHFCC[]);

ViStatus _VI_FUNC  C19032P_GetAllMmet (ViSession vi, ViReal64 allMeaureMeter[]);
ViStatus _VI_FUNC  C19032P_GetAllMmetLadc (ViSession vi, ViInt32 select, ViReal64 allMeaureMeter[]);

ViStatus _VI_FUNC C19032P_GetAllMode (ViSession instrumentHandle,
                                      ViChar allMode[]);

ViStatus _VI_FUNC  C19032P_GetAllRampTime (ViSession vi, ViReal64 allRampTime[]);
ViStatus _VI_FUNC  C19032P_GetAllTestTime (ViSession vi, ViReal64 allTestTime[]);

ViStatus _VI_FUNC C19032P_GetAllTimeDwell (ViSession instrumentHandle,
                                           ViReal64 getAllTimeDwell[]);

ViStatus _VI_FUNC  C19032P_GetAllFallTime (ViSession vi, ViReal64 allFallTime[]);
ViStatus _VI_FUNC  C19032P_GetAllResult (ViSession vi, ViInt32 allResultCode[], ViChar codeMean[]);
ViStatus _VI_FUNC  C19032P_GetRunCompleted (ViSession vi, ViInt32 *runningCompleted);
ViStatus _VI_FUNC  C19032P_GetFinalStepResult (ViSession vi, ViInt32 *lastCode, ViChar codeMean[]);
ViStatus _VI_FUNC  C19032P_GetAutoReport (ViSession vi, ViInt32 *getAutoReport);

ViStatus _VI_FUNC C19032P_FetchAutoReportData_19032P (ViSession instrumentHandle,
                                                      ViChar mode[],
                                                      ViReal64 *OMET,
                                                      ViReal64 *MMET,
                                                      ViReal64 *LACMET,
                                                      ViReal64 *LDCMET,
                                                      ViReal64 *RELA,
                                                      ViReal64 *DELA,
                                                      ViReal64 *TELA,
                                                      ViReal64 *FELA,
                                                      ViReal64 *STATE);

ViStatus _VI_FUNC C19032P_FetchAutoReportData (ViSession instrumentHandle,
                                               ViChar mode[], ViReal64 *OMET,
                                               ViReal64 *MMET, ViReal64 *RMET,
                                               ViReal64 *CMET, ViReal64 *CCMET,
                                               ViReal64 *RELA, ViReal64 *DELA,
                                               ViReal64 *TELA, ViReal64 *FELA,
                                               ViReal64 *STATE);

ViStatus _VI_FUNC C19032P_GetAutoReportSaved (ViSession instrumentHandle,
                                              ViBoolean *autoReportSaved);

ViStatus _VI_FUNC C19032P_GetLCPowerSourceVoltFreq (ViSession instrumentHandle,
                                                    ViInt32 step,
                                                    ViReal64 *targetVoltage,
                                                    ViReal64 *targetFrequency);

ViStatus _VI_FUNC C19032P_GetLCChanHighState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViChar LCChannelHighStatus[]);

ViStatus _VI_FUNC C19032P_GetLCCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 *LCCurrentOffset);

ViStatus _VI_FUNC C19032P_GetLCCurrentOffsetLAC (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViReal64 *LCCurrentOffsetLAC);

ViStatus _VI_FUNC C19032P_GetLCCurrentOffsetLDC (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViReal64 *LCCurrentOffsetLDC);

ViStatus _VI_FUNC C19032P_GetRemoteStartState (ViSession instrumentHandle,
                                               ViInt32 *startState);

ViStatus _VI_FUNC C19032P_GetBreakResult (ViSession instrumentHandle,
                                          ViInt32 *getBreakResult);

ViStatus _VI_FUNC  C19032P_GetSettingOfStep (ViSession vi, ViInt32 stepNumber, ViChar gettingInfo[]);
ViStatus _VI_FUNC  C19032P_GetModeOfStep (ViSession vi, ViInt32 step, ViChar mode_ofStep[]);

ViStatus _VI_FUNC C19032P_GetBreakMMET (ViSession instrumentHandle,
                                        ViReal64 *getBreakMMET);

ViStatus _VI_FUNC C19032P_GetBreakOMET (ViSession instrumentHandle,
                                        ViReal64 *getBreakOMET);

ViStatus _VI_FUNC C19032P_GetBreakCMET (ViSession instrumentHandle,
                                        ViReal64 *getBreakCMET);

ViStatus _VI_FUNC C19032P_GetBreakMode (ViSession instrumentHandle,
                                        ViChar getBreakMode[]);

ViStatus _VI_FUNC C19032P_GetBreakStep (ViSession instrumentHandle,
                                        ViInt32 *getBreakStep);

ViStatus _VI_FUNC C19032P_GetBreakTime (ViSession instrumentHandle,
                                        ViReal64 *getBreakTime);

ViStatus _VI_FUNC C19032P_GetBreakTimeDwell (ViSession instrumentHandle,
                                             ViReal64 *getBreakTimeDwell);

ViStatus _VI_FUNC C19032P_GetBreakTimeRamp (ViSession instrumentHandle,
                                            ViReal64 *getBreakTimeRamp);

ViStatus _VI_FUNC C19032P_GetBreakWV (ViSession instrumentHandle,
                                      ViReal64 *getBreakWV);

// get system information
ViStatus _VI_FUNC  C19032P_GetSysErr (ViSession vi, ViChar sysError[]);

ViStatus _VI_FUNC C19032P_GetGBCurrentRatio (ViSession instrumentHandle,
                                             ViChar GBCurrentRatio[]);

ViStatus _VI_FUNC C19032P_GetGBFloatBoard (ViSession instrumentHandle,
                                           ViInt32 *GBCurrentRatio);

ViStatus _VI_FUNC C19032P_GetSCANType (ViSession instrumentHandle,
                                       ViChar SCANTYPE[]);

ViStatus _VI_FUNC C19032P_GetOptionSource (ViSession instrumentHandle,
                                           ViInt32 *GBCurrentRatio);

ViStatus _VI_FUNC  C19032P_GetSysVersion (ViSession vi, ViChar systemVersion[]);

//ViStatus _VI_FUNC C19032P_SetESE (ViSession instrumentHandle, ViChar memName[]);

ViStatus _VI_FUNC C19032P_CLS (ViSession instrumentHandle);

ViStatus _VI_FUNC C19032P_SetsESE (ViSession instrumentHandle, ViInt32 setsESE);

ViStatus _VI_FUNC C19032P_SetsOPC (ViSession instrumentHandle);

ViStatus _VI_FUNC C19032P_SetPSC (ViSession instrumentHandle, ViInt32 PSC);

ViStatus _VI_FUNC C19032P_QueryIDSting (ViSession instrumentHandle,
                                        ViChar queryIDString[]);

ViStatus _VI_FUNC C19032P_RCL (ViSession instrumentHandle, ViInt32 regNumber);

ViStatus _VI_FUNC C19032P_SAV (ViSession instrumentHandle, ViInt32 SAVNumber);

ViStatus _VI_FUNC C19032P_GetsESR (ViSession instrumentHandle, ViInt32 *ESR);

ViStatus _VI_FUNC C19032P_SetSRE (ViSession instrumentHandle, ViInt32 SRE);

ViStatus _VI_FUNC C19032P_GetsESE (ViSession instrumentHandle, ViInt32 *getsESE);

ViStatus _VI_FUNC C19032P_GetsOPC (ViSession instrumentHandle, ViChar OPC[]);

ViStatus _VI_FUNC C19032P_GetsPSC (ViSession instrumentHandle, ViChar PSC[]);

ViStatus _VI_FUNC C19032P_GetsSRE (ViSession instrumentHandle, ViInt32 *getsSRE);

ViStatus _VI_FUNC C19032P_GetsSTB (ViSession instrumentHandle, ViInt32 *getsSTB);

ViStatus _VI_FUNC C19032P_MemNameDel (ViSession instrumentHandle,
                                      ViChar memoryName[]);

// memory
ViStatus _VI_FUNC C19032P_MemDel (ViSession instrumentHandle,
                                  ViInt32 deleteNumber);
ViStatus _VI_FUNC  C19032P_MemDefine (ViSession vi, ViInt32 memNum, ViChar memName[]);
ViStatus _VI_FUNC  C19032P_MemDefineIndex (ViSession vi, ViChar memName[], ViInt32 *memNum);

ViStatus _VI_FUNC C19032P_GetMemFreeState (ViSession instrumentHandle,
                                           ViInt32 *remain, ViInt32 *used);

ViStatus _VI_FUNC  C19032P_GetMemFreeStep (ViSession vi, ViInt32 *remnants, ViInt32 *used);
ViStatus _VI_FUNC  C19032P_SaveMemory (ViSession vi, ViInt32 memNum, ViChar memName[]);
ViStatus _VI_FUNC  C19032P_RecallMemory (ViSession vi, ViChar memName[]);

ViStatus _VI_FUNC C19032P_GetMemoryMaxCapacity (ViSession instrumentHandle,
                                                ViInt32 *getMemoryMaxCapacity);

// set preset parameter
ViStatus _VI_FUNC  C19032P_SetPresetParameter (ViSession vi, ViReal64 passHold, ViReal64 stepHold, ViInt32 ACFreq, ViReal64 GBFreq, ViInt32 IEC, ViReal64 GBVolt, ViInt32 autoRange, ViInt32 softAGC, ViReal64 startWait);
ViStatus _VI_FUNC  C19032P_SetPresetProductNumber (ViSession vi, ViChar partNo[], ViChar lotNo[], ViChar serialNo[]);
ViStatus _VI_FUNC  C19032P_SetPresetPassHold (ViSession vi, ViReal64 passHold);
ViStatus _VI_FUNC  C19032P_SetPresetStepHold (ViSession vi, ViReal64 stepHold);
ViStatus _VI_FUNC  C19032P_SetPresetACFreq (ViSession vi, ViInt32 ACFreq);
ViStatus _VI_FUNC  C19032P_SetPresetGBFreq (ViSession vi, ViReal64 GBFreq);
ViStatus _VI_FUNC  C19032P_SetPresetIEC (ViSession vi, ViInt32 IEC);
ViStatus _VI_FUNC  C19032P_SetPresetGBVolt (ViSession vi, ViReal64 GBVolt);
ViStatus _VI_FUNC  C19032P_SetPresetAutoRange (ViSession vi, ViInt32 autoRange);
ViStatus _VI_FUNC  C19032P_SetPresetAGC (ViSession vi, ViInt32 softAGC);
ViStatus _VI_FUNC  C19032P_SetPresetStartWait (ViSession vi, ViReal64 startWait);
ViStatus _VI_FUNC  C19032P_SetPresetPartNumber (ViSession vi, ViChar partNo[]);
ViStatus _VI_FUNC  C19032P_SetPresetLotNumber (ViSession vi, ViChar lotNo[]);
ViStatus _VI_FUNC  C19032P_SetPresetSerialNumber (ViSession vi, ViChar serialNo[]);
ViStatus _VI_FUNC  C19032P_SetPresetRjudgement (ViSession vi, ViInt32 rampJudg);

ViStatus _VI_FUNC C19032P_SetPresetGFI (ViSession instrumentHandle,
                                        ViInt32 setPresetGFI);

ViStatus _VI_FUNC C19032P_SetPresetScreen (ViSession instrumentHandle,
                                           ViBoolean presetScreen);

// get preset value
ViStatus _VI_FUNC  C19032P_GetBuzzerPassHoldTime (ViSession vi, ViReal64 *buzzerPassTime);
ViStatus _VI_FUNC  C19032P_GetStepHoldTime (ViSession vi, ViReal64 *stepHoldTime);

ViStatus _VI_FUNC C19032P_GetPresetStartWait (ViSession instrumentHandle,
                                              ViReal64 *startWait);

ViStatus _VI_FUNC  C19032P_GetPresetACFreq (ViSession vi, ViInt32 *presACVoltFrequency);
ViStatus _VI_FUNC  C19032P_GetPresetGBCurrFreq (ViSession vi, ViReal64 *presGBCurrFreq);
ViStatus _VI_FUNC  C19032P_GetPresetGBVoltage (ViSession vi, ViReal64 *presGBVoltage);
ViStatus _VI_FUNC  C19032P_GetAutoRange (ViSession vi, ViInt32 *presAutoRange);
ViStatus _VI_FUNC  C19032P_GetSoftAGCState (ViSession vi, ViInt32 *presSoftAGCState);
ViStatus _VI_FUNC  C19032P_GetPartNo (ViSession vi, ViChar getPartNo[]);
ViStatus _VI_FUNC  C19032P_GetLotNo (ViSession vi, ViChar getLotNo[]);
ViStatus _VI_FUNC  C19032P_GetSerialNo (ViSession vi, ViChar getSerialNo[]);

ViStatus _VI_FUNC C19032P_SetGBCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 GBCurrentOffset);

// set GB mode parameter
ViStatus _VI_FUNC  C19032P_SetGBModeParameter (ViSession vi, ViReal64 current, ViReal64 highLimit, ViReal64 lowLimit, ViReal64 testTime, ViInt32 twinPort, ViInt32 step);

ViStatus _VI_FUNC C19032P_GetReportDataItem_19032P (ViSession instrumentHandle,
                                                    ViChar dataItem[]);

ViStatus _VI_FUNC  C19032P_SetGBCurrent (ViSession vi, ViInt32 step, ViReal64 current);
ViStatus _VI_FUNC  C19032P_SetGBHighLimit (ViSession vi, ViInt32 step, ViReal64 highLimit);
ViStatus _VI_FUNC  C19032P_SetGBLowLimit (ViSession vi, ViInt32 step, ViReal64 lowLimit);
ViStatus _VI_FUNC  C19032P_SetGBTestTime (ViSession vi, ViInt32 step, ViReal64 testTime);
ViStatus _VI_FUNC  C19032P_SetGBTwinPort (ViSession vi, ViInt32 step, ViInt32 twinPort);

// get GB mode value
ViStatus _VI_FUNC  C19032P_GetGBCurrOfStep (ViSession vi, ViInt32 step, ViReal64 *GBCurrent);
ViStatus _VI_FUNC  C19032P_GetGBLimitHigh (ViSession vi, ViInt32 step, ViReal64 *GBRLimit_ofHigh);
ViStatus _VI_FUNC  C19032P_GetGBLimitLow (ViSession vi, ViInt32 step, ViReal64 *GBRLimit_ofLow);
ViStatus _VI_FUNC  C19032P_GetGBTestTime (ViSession vi, ViInt32 step, ViReal64 *GBTestTime);
ViStatus _VI_FUNC  C19032P_GetTwinPortState (ViSession vi, ViInt32 step, ViInt32 *twinPortState);
ViStatus _VI_FUNC  C19032P_GetGBChanState (ViSession vi, ViInt32 step, ViChar channelStatus[]);

ViStatus _VI_FUNC C19032P_GetGBCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 *GBCurrentOffset);

ViStatus _VI_FUNC C19032P_SetACChanScanState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViChar ACChannelHighScanState[],
                                              ViChar ACChannelLowScanState[]);

ViStatus _VI_FUNC C19032P_SetACCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 ACCurrentOffset);

// set AC mode parameter
ViStatus _VI_FUNC  C19032P_SetACModeParameter (ViSession vi, ViReal64 voltage, ViReal64 highLimit, ViReal64 lowLimit, ViReal64 arcLimit, ViInt32 arcFilter, ViReal64 testTime, ViReal64 rampTime, ViInt32 step);
ViStatus _VI_FUNC  C19032P_SetACVoltage (ViSession vi, ViInt32 step, ViReal64 voltage);
ViStatus _VI_FUNC  C19032P_SetACHighLimit (ViSession vi, ViInt32 step, ViReal64 highLimit);
ViStatus _VI_FUNC  C19032P_SetACLowLimit (ViSession vi, ViInt32 step, ViReal64 lowLimit);



ViStatus _VI_FUNC C19032P_SetACLimitReal (ViSession instrumentHandle,
                                          ViInt32 step, ViReal64 ACLimitReal);

ViStatus _VI_FUNC  C19032P_SetACArcLimit (ViSession vi, ViInt32 step, ViReal64 arcLimit);
ViStatus _VI_FUNC  C19032P_SetACArcFilter (ViSession vi, ViInt32 step, ViInt32 arcFilter);

ViStatus _VI_FUNC C19032P_SetACFrequency (ViSession instrumentHandle,
                                          ViInt32 step, ViInt32 ACFrequency);

ViStatus _VI_FUNC  C19032P_SetACTestTime (ViSession vi, ViInt32 step, ViReal64 testTime);
ViStatus _VI_FUNC  C19032P_SetACRampTime (ViSession vi, ViInt32 step, ViReal64 rampTime);
ViStatus _VI_FUNC  C19032P_SetACFallTime (ViSession vi, ViInt32 step, ViReal64 fallTime);

// get AC mode value
ViStatus _VI_FUNC  C19032P_GetAcVoltOfStep (ViSession vi, ViInt32 step, ViReal64 *ACVoltage);
ViStatus _VI_FUNC  C19032P_GetWacHiCurrentLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *highCurrentLimit);
ViStatus _VI_FUNC  C19032P_GetWacLoCurrentLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *lowCurrentLimit);

ViStatus _VI_FUNC C19032P_GetACCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 *ACCurrentOffset);

ViStatus _VI_FUNC C19032P_GetACLimitReal (ViSession instrumentHandle,
                                          ViInt32 step, ViReal64 *ACLimitReal);

ViStatus _VI_FUNC  C19032P_GetWacArcLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *ARCLimit);
ViStatus _VI_FUNC  C19032P_GetWacArcFilterOfStep (ViSession vi, ViInt32 step, ViInt32 *ARCFilter);

ViStatus _VI_FUNC C19032P_GetACFrequency (ViSession instrumentHandle,
                                          ViInt32 step, ViInt32 *ACFrequency);

ViStatus _VI_FUNC  C19032P_GetWacRampTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *rampTime);
ViStatus _VI_FUNC  C19032P_GetWacTestTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *testTime);

ViStatus _VI_FUNC C19032P_GetACFallTime (ViSession instrumentHandle,
                                         ViInt32 step, ViReal64 *fallTime);

ViStatus _VI_FUNC  C19032P_GetACChanHighState (ViSession vi, ViInt32 step, ViChar channelStatus[]);
ViStatus _VI_FUNC  C19032P_GetACChanLowState (ViSession vi, ViInt32 step, ViChar WACLowChannelStatus[]);

ViStatus _VI_FUNC C19032P_SetDCCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 DCCurrentOffset);
                                              
                                              
                                              
                                              

// set DC mode parameter
ViStatus _VI_FUNC  C19032P_SetDCModeParameter (ViSession vi, ViReal64 voltage, ViReal64 highLimit, ViReal64 lowLimit, ViReal64 dwellTime, ViReal64 arcLimit, ViInt32 arcFilter, ViReal64 testTime, ViReal64 rampTime, ViInt32 step);
ViStatus _VI_FUNC  C19032P_SetDCVoltage (ViSession vi, ViInt32 step, ViReal64 voltage);
ViStatus _VI_FUNC  C19032P_SetDCHighLimit (ViSession vi, ViInt32 step, ViReal64 highLimit);
ViStatus _VI_FUNC  C19032P_SetDCLowLimit (ViSession vi, ViInt32 step, ViReal64 lowLimit);
ViStatus _VI_FUNC  C19032P_SetDCDwellTime (ViSession vi, ViInt32 step, ViReal64 dwellTime);
ViStatus _VI_FUNC  C19032P_SetDCArcLimit (ViSession vi, ViInt32 step, ViReal64 arcLimit);
ViStatus _VI_FUNC  C19032P_SetDCArcFilter (ViSession vi, ViInt32 step, ViInt32 arcFilter);
ViStatus _VI_FUNC  C19032P_SetDCTestTime (ViSession vi, ViInt32 step, ViReal64 testTime);
ViStatus _VI_FUNC  C19032P_SetDCRampTime (ViSession vi, ViInt32 step, ViReal64 rampTime);
ViStatus _VI_FUNC  C19032P_SetDCFallTime (ViSession vi, ViInt32 step, ViReal64 fallTime);

// get DC mode value
ViStatus _VI_FUNC  C19032P_GetdcVoltOfStep (ViSession vi, ViInt32 step, ViReal64 *DCVoltage);
ViStatus _VI_FUNC  C19032P_GetWdcHiCurrentLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *highCurrentLimit);
ViStatus _VI_FUNC  C19032P_GetWdcLoCurrentLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *lowCurrentLimit);

ViStatus _VI_FUNC C19032P_GetDCDwellTime (ViSession instrumentHandle,
                                          ViInt32 step, ViReal64 *dwellTime);

ViStatus _VI_FUNC  C19032P_GetWdcArcLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *ARCLimit);
ViStatus _VI_FUNC  C19032P_GetWdcArcFilterOfStep (ViSession vi, ViInt32 step, ViInt32 *ARCFilter);
ViStatus _VI_FUNC  C19032P_GetWdcRampTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *rampTime);
ViStatus _VI_FUNC  C19032P_GetWdcTestTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *testTime);

ViStatus _VI_FUNC C19032P_GetDCFallTime (ViSession instrumentHandle,
                                         ViInt32 step, ViReal64 *fallTime);

ViStatus _VI_FUNC  C19032P_GetWDCChanHighState (ViSession vi, ViInt32 step, ViChar channelStatus[]);
ViStatus _VI_FUNC  C19032P_GetWDCChanLowState (ViSession vi, ViInt32 step, ViChar WDCLowChannelStatus[]);

ViStatus _VI_FUNC C19032P_GetDCCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 *DCCurrentOffset);

// set IR mode parameter
ViStatus _VI_FUNC  C19032P_SetIRModeParameter (ViSession vi, ViReal64 voltage, ViReal64 lowLimit, ViReal64 highLimit, ViReal64 testTime, ViReal64 rampTime, ViInt32 step);
ViStatus _VI_FUNC  C19032P_SetIRVoltage (ViSession vi, ViInt32 step, ViReal64 voltage);
ViStatus _VI_FUNC  C19032P_SetIRLowLimit (ViSession vi, ViInt32 step, ViReal64 lowLimit);
ViStatus _VI_FUNC  C19032P_SetIRHighLimit (ViSession vi, ViInt32 step, ViReal64 highLimit);
ViStatus _VI_FUNC  C19032P_SetIRTestTime (ViSession vi, ViInt32 step, ViReal64 testTime);
ViStatus _VI_FUNC  C19032P_SetIRRampTime (ViSession vi, ViInt32 step, ViReal64 rampTime);
ViStatus _VI_FUNC  C19032P_SetIRFallTime (ViSession vi, ViInt32 step, ViReal64 fallTime);
ViStatus _VI_FUNC  C19032P_SetIRCurrRange (ViSession vi, ViInt32 step, ViInt32 range);

// get IR mode value
ViStatus _VI_FUNC  C19032P_GetIRVoltOfStep (ViSession vi, ViInt32 step, ViReal64 *IRTestVoltage);



ViStatus _VI_FUNC  C19032P_GetIRLoResiLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *IRLowResistorLimit);
ViStatus _VI_FUNC  C19032P_GetIRHiResiLimitOfStep (ViSession vi, ViInt32 step, ViReal64 *IRHighResistorLimit);
ViStatus _VI_FUNC  C19032P_GetIRRampTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *IRRampTime);
ViStatus _VI_FUNC  C19032P_GetIRTestTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *IRTestTime);

ViStatus _VI_FUNC C19032P_GetIRFallTime (ViSession instrumentHandle,
                                         ViInt32 step, ViReal64 *fallTime);

ViStatus _VI_FUNC C19032P_GetIRRangeAuto (ViSession instrumentHandle,
                                          ViInt32 step, ViInt32 *rangeAuto);

ViStatus _VI_FUNC C19032P_GetIRCurrHighRange (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 *IRCurrHighRange);

ViStatus _VI_FUNC C19032P_GetIRCurrLowRange (ViSession instrumentHandle,
                                             ViInt32 step,
                                             ViReal64 *IRCurrLowRange);

ViStatus _VI_FUNC  C19032P_GetIRChanHighState (ViSession vi, ViInt32 step, ViChar IRHighChannelStatus[]);
ViStatus _VI_FUNC  C19032P_GetIRChanLowState (ViSession vi, ViInt32 step, ViChar IRLowChannelStatus[]);

ViStatus _VI_FUNC C19032P_GetPAUnderTest (ViSession instrumentHandle,
                                          ViInt32 step,
                                          ViBoolean *getSignal_ofPause);

ViStatus _VI_FUNC C19032P_GetPATestTime (ViSession instrumentHandle,
                                         ViInt32 step, ViReal64 *testTime);

ViStatus _VI_FUNC C19032P_SetLCChanScanState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViChar LCChannelHighScanState[],
                                              ViChar LCChannelLowScanState[]);

ViStatus _VI_FUNC C19032P_SetLCChanLowState (ViSession instrumentHandle,
                                             ViInt32 step, ViInt32 scannerNumber,
                                             ViInt32 channelState[]);

ViStatus _VI_FUNC C19032P_SetLCChanHighState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViInt32 scannerNumber,
                                              ViInt32 channelState[]);

ViStatus _VI_FUNC C19032P_SetLCCurrentOffset (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 LCCurrentOffset);

ViStatus _VI_FUNC C19032P_SetLCCurrentOffsetLAC (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViReal64 LCCurrentOffsetLAC);

ViStatus _VI_FUNC C19032P_SetLCCurrentOffsetLDC (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViReal64 LCCurrentOffsetLDC);

// set LC mode parameter
ViStatus _VI_FUNC  C19032P_SetLCModeParameter (ViSession vi, ViInt32 device, ViInt32 lineInput,
                                             ViInt32 GRSwitch, ViInt32 meter, ViReal64 highLimit,
                                             ViReal64 lowLimit, ViInt32 powerMode, ViReal64 powerHighLimit,
                                             ViReal64 powerLowLimit, ViReal64 testTime, ViInt32 step);

ViStatus _VI_FUNC C19032P_SetOSCCurrentOffset (ViSession instrumentHandle,
                                               ViInt32 step, ViInt32 rangeNumber,
                                               ViReal64 OSCCurrentOffset);

ViStatus _VI_FUNC C19032P_SetOSCCStandard (ViSession instrumentHandle,
                                           ViInt32 step, ViInt32 rangeNumber,
                                           ViReal64 OSCCStandard);

ViStatus _VI_FUNC C19032P_GetOSCOpenCheck (ViSession instrumentHandle,
                                           ViInt32 step, ViReal64 *openCheck);

ViStatus _VI_FUNC C19032P_GetOSCShortCheck (ViSession instrumentHandle,
                                            ViInt32 step,
                                            ViReal64 *OSCShortCheck);

ViStatus _VI_FUNC C19032P_GetOSCChanState (ViSession instrumentHandle,
                                           ViInt32 step, ViInt32 scannerNumber,
                                           ViChar channelHighState[],
                                           ViChar channelLowState[]);

ViStatus _VI_FUNC C19032P_GetOSCCRange (ViSession instrumentHandle, ViInt32 step,
                                        ViInt32 rangeSelect, ViReal64 *OSCCRange);



ViStatus _VI_FUNC  C19032P_SetLCDevice (ViSession vi, ViInt32 step, ViInt32 device);
ViStatus _VI_FUNC  C19032P_SetLCLineInput (ViSession vi, ViInt32 step, ViInt32 lineInput);
ViStatus _VI_FUNC  C19032P_SetLCGrSwitch (ViSession vi, ViInt32 step, ViInt32 GRSwitch);
ViStatus _VI_FUNC C19032P_SetLCMeter (ViSession instrumentHandle, ViInt32 step,
                                      ViInt32 LCMeter);
ViStatus _VI_FUNC  C19032P_SetLCHighLimit (ViSession vi, ViInt32 step, ViReal64 highLimit);
ViStatus _VI_FUNC  C19032P_SetLCLowLimit (ViSession vi, ViInt32 step, ViReal64 lowLimit);

ViStatus _VI_FUNC C19032P_SetLCDisplay (ViSession instrumentHandle, ViInt32 step,
                                        ViBoolean setLCDisplay);

ViStatus _VI_FUNC  C19032P_SetLCACHighLimit (ViSession vi, ViInt32 step, ViReal64 ACHighLimit);

ViStatus _VI_FUNC C19032P_GetLCACHighLimit (ViSession instrumentHandle,
                                            ViInt32 step, ViReal64 *ACHighLimit);

ViStatus _VI_FUNC  C19032P_SetLCDCHighLimit (ViSession vi, ViInt32 step, ViReal64 DCHighLimit);

ViStatus _VI_FUNC C19032P_SetLCTimeDwell (ViSession instrumentHandle,
                                          ViInt32 step, ViReal64 LCTimeDwell);

ViStatus _VI_FUNC  C19032P_SetLCPowerMode (ViSession vi, ViInt32 step, ViInt32 powerMode);




ViStatus _VI_FUNC C19032P_SetLCPowerLimitOfStep (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViInt32 setLCPowerMode,
                                                 ViReal64 powerHighLimit,
                                                 ViReal64 powerLowLimit);

ViStatus _VI_FUNC  C19032P_SetLCPowerSimuVolt (ViSession vi, ViInt32 step, ViReal64 targetVolt);
ViStatus _VI_FUNC  C19032P_SetLCPowerSourceVoltFreq (ViSession vi, ViInt32 step, ViReal64 targetVolt, ViReal64 targetFreq);
ViStatus _VI_FUNC  C19032P_SetLCTestTime (ViSession vi, ViInt32 step, ViReal64 testTime);

// get LC mode value
ViStatus _VI_FUNC  C19032P_GetLCDeviceOfStep (ViSession vi, ViInt32 step, ViChar setLCDevice[]);

ViStatus _VI_FUNC C19032P_GetLCDisplay (ViSession instrumentHandle, ViInt32 step,
                                        ViChar getLCDisplay[]);

ViStatus _VI_FUNC C19032P_GetLCDCHighLimit (ViSession instrumentHandle,
                                            ViInt32 step, ViReal64 *DCHighLimit);

ViStatus _VI_FUNC  C19032P_GetLCLineInTypeofStep (ViSession vi, ViInt32 step, ViChar setLCLine[]);
ViStatus _VI_FUNC  C19032P_GetLCMeterMethod (ViSession vi, ViInt32 step, ViChar meterMethod[]);
ViStatus _VI_FUNC  C19032P_GetLCgrSwitch (ViSession vi, ViInt32 step, ViInt32 *LC_gr_Switch);
ViStatus _VI_FUNC  C19032P_GetLCLimitHighOfStep (ViSession vi, ViInt32 step, ViReal64 *LCLimitHigh);
ViStatus _VI_FUNC  C19032P_GetLCLimitLowOfStep (ViSession vi, ViInt32 step, ViReal64 *LC_limit_low);
ViStatus _VI_FUNC  C19032P_GetLCTestTimeOfStep (ViSession vi, ViInt32 step, ViReal64 *LCTestTime);

ViStatus _VI_FUNC C19032P_GetLCTimeDwell (ViSession instrumentHandle,
                                          ViInt32 step, ViReal64 *LCTimeDwell);

ViStatus _VI_FUNC  C19032P_GetLCPowerModeOfStep (ViSession vi, ViInt32 step, ViChar setLCPowerMode[]);
ViStatus _VI_FUNC  C19032P_GetLCPowerLimitOfStep (ViSession vi, ViInt32 step, ViInt32 setLCPowerMode, ViReal64 *LCLimitHigh_ofPower, ViReal64 *LCLimitLow_ofPower);
ViStatus _VI_FUNC  C19032P_GetLcSimulateVolt (ViSession vi, ViInt32 step, ViReal64 *targetVoltage);

ViStatus _VI_FUNC C19032P_GetLCPowSouCurrHi_Lo (ViSession instrumentHandle,
                                                ViInt32 step,
                                                ViReal64 *LCPowSouCurrentHigh,
                                                ViReal64 *LCPowSouCurrentLow);

ViStatus _VI_FUNC C19032P_GetLCPowSouVAHi_Lo (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 *LCPowSouVAHigh,
                                              ViReal64 *LCPowSouVALow);

ViStatus _VI_FUNC C19032P_GetLCPowSouPowerHi_Lo (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViReal64 *LCPowSouPowerHigh,
                                                 ViReal64 *LCPowSouPowerLow);

ViStatus _VI_FUNC C19032P_GetLCPowerSouPFACLow (ViSession instrumentHandle,
                                                ViInt32 step,
                                                ViReal64 *LCPowerSouPFACLow);

ViStatus _VI_FUNC C19032P_GetLCUPM (ViSession instrumentHandle, ViInt32 step,
                                    ViBoolean *LCUPM);

ViStatus _VI_FUNC  C19032P_GetLCChanState (ViSession vi, ViInt32 step, ViChar LCChannelStatus[]);

// set PA mode parameter
ViStatus _VI_FUNC  C19032P_SetPAModeParameter (ViSession vi, ViChar message[], ViInt32 underTest, ViInt32 step);
ViStatus _VI_FUNC  C19032P_SetPAMessage (ViSession vi, ViInt32 step, ViChar message[]);
ViStatus _VI_FUNC C19032P_SetPAUnderTest (ViSession instrumentHandle,
                                          ViInt32 step,
                                          ViBoolean setSignal_ofPause);
ViStatus _VI_FUNC  C19032P_SetPATestTime (ViSession vi, ViInt32 step, ViReal64 testTime);

// get PA mode value
ViStatus _VI_FUNC  C19032P_GetPauseString (ViSession vi, ViInt32 step, ViChar getPauseString[]);


// set OSC mode parameter
ViStatus _VI_FUNC  C19032P_SetOSCModeParameter (ViSession vi, ViReal64 openCheck, ViReal64 shortCheck, ViInt32 step);
ViStatus _VI_FUNC  C19032P_SetOSCOpenCheck (ViSession vi, ViInt32 step, ViReal64 openCheck);
ViStatus _VI_FUNC  C19032P_SetOSCShortCheck (ViSession vi, ViInt32 step, ViReal64 shortCheck);

ViStatus _VI_FUNC C19032P_SetGBChanScanState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViChar GBChannelHighScanState[]);

// set channel state
ViStatus _VI_FUNC  C19032P_SetGBChanState (ViSession vi, ViInt32 step, ViInt32 scanerNumber, ViInt32 ChState[]);
ViStatus _VI_FUNC  C19032P_SetACChanState (ViSession vi, ViInt32 step, ViInt32 scanerNumber, ViInt32 ChState[]);

ViStatus _VI_FUNC C19032P_SetDCChanScanState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViChar DCChannelHighScanState[],
                                              ViChar DCChannelLowScanState[]);

ViStatus _VI_FUNC  C19032P_SetDCChanState (ViSession vi, ViInt32 step, ViInt32 scanerNumber, ViInt32 ChState[]);

ViStatus _VI_FUNC C19032P_SetIRCurrHighRange (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 IRCurrHighRange);

ViStatus _VI_FUNC C19032P_SetIRCurrLowRange (ViSession instrumentHandle,
                                             ViInt32 step,
                                             ViReal64 IRCurrLowRange);

ViStatus _VI_FUNC C19032P_SetIRRangeAuto (ViSession instrumentHandle,
                                          ViInt32 step, ViInt32 rangeAuto);

ViStatus _VI_FUNC C19032P_SetIRChanScanState (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViChar IRChannelHighScanState[],
                                              ViChar IRChannelLowScanState[]);

ViStatus _VI_FUNC  C19032P_SetIRChanState (ViSession vi, ViInt32 step, ViInt32 scanerNumber, ViInt32 ChState[]);



ViStatus _VI_FUNC C19032P_SetLCPowSouCurrHi_Lo (ViSession instrumentHandle,
                                                ViInt32 step,
                                                ViReal64 LCPowSouCurrentHigh,
                                                ViReal64 LCPowSouCurrentLow);

ViStatus _VI_FUNC C19032P_SetLCPowSouVAHi_Lo (ViSession instrumentHandle,
                                              ViInt32 step,
                                              ViReal64 LCPowSouVAHigh,
                                              ViReal64 LCPowSouVALow);

ViStatus _VI_FUNC C19032P_SetLCPowSouPowerHi_Lo (ViSession instrumentHandle,
                                                 ViInt32 step,
                                                 ViReal64 LCPowSouPowerHigh,
                                                 ViReal64 LCPowSouPowerLow);

ViStatus _VI_FUNC C19032P_SetLCPowerSouPFACLow (ViSession instrumentHandle,
                                                ViInt32 step,
                                                ViReal64 LCPowerSouPFACLow);




ViStatus _VI_FUNC C19032P_SetLCUPM (ViSession instrumentHandle, ViInt32 step,
                                    ViBoolean setLCUPM);

ViStatus _VI_FUNC C19032P_SetOSCChanScanState (ViSession instrumentHandle,
                                               ViInt32 step,
                                               ViChar OSCChannelHighScanState[],
                                               ViChar OSCChannelLowScanState[]);


ViStatus _VI_FUNC  C19032P_SetOSCChanState (ViSession vi, ViInt32 step, ViInt32 scanerNumber, ViInt32 ChState[]);
    /*********************************************************
        Functions reserved for class driver use only.
        End-users should not call these functions.  
     *********************************************************/
ViStatus _VI_FUNC  C19032P_IviInit (ViRsrc resourceName, ViBoolean IDQuery, ViBoolean reset, ViSession vi);
ViStatus _VI_FUNC  C19032P_IviClose (ViSession vi);   

ViStatus _VI_FUNC  StepResultString(ViInt32 nCode, ViChar ResultString[]);

/****************************************************************************
 *------------------------ Error And Completion Codes ----------------------*
 ****************************************************************************/
				 
#define	VI_ERROR_DATA_OUT_OF_RANGE		 (IVI_SPECIFIC_ERROR_BASE + 1)    
#define	VI_ERROR_STEP_COUNT				 (IVI_SPECIFIC_ERROR_BASE + 2)   
#define VI_ERROR_INVALID_LIMIT_VALUE   	 (IVI_SPECIFIC_ERROR_BASE + 3)
#define VI_ERROR_INVALID_MODE_COMMAND	 (IVI_SPECIFIC_ERROR_BASE + 4)
#define VI_ERROR_SCAN_NUM				 (IVI_SPECIFIC_ERROR_BASE + 5)
#define VI_ERROR_NOT_SUPPORT_LC			 (IVI_SPECIFIC_ERROR_BASE + 6)
#define VI_ERROR_SCANNER_BOX_NULL		 (IVI_SPECIFIC_ERROR_BASE + 7)
#define VI_ERROR_NOT_SUPPORT_VERSION	 (IVI_SPECIFIC_ERROR_BASE + 8)
#define VI_ERROR_NOT_SUPPORT_SCANNER	 (IVI_SPECIFIC_ERROR_BASE + 9)
#define VI_ERROR_NOT_MATCH_POWMODE		 (IVI_SPECIFIC_ERROR_BASE + 10)
#define VI_ERROR_MEM_INDEX				 (IVI_SPECIFIC_ERROR_BASE + 11)
#define VI_ERROR_COMMAND_PROTECTED		 (IVI_SPECIFIC_ERROR_BASE + 12) 
#define VI_ERROR_SUPPORT_ONLY_6000_08_SCANNER	 (IVI_SPECIFIC_ERROR_BASE + 13)
#define VI_ERROR_NO_STEP_COUNT			 (IVI_SPECIFIC_ERROR_BASE + 14)

/**************************************************************************** 
 *---------------------------- End Include File ----------------------------* 
 ****************************************************************************/

/*- Attribute Values generated by CVI on 2003/10/28 at 01:41 PM ---------*/
#define C19032P_VAL_FETCH_STEP                                       0
#define C19032P_VAL_FETCH_MODE                                       1
#define C19032P_VAL_FETCH_OMET                                       2
#define C19032P_VAL_FETCH_MMET                                       3
#define C19032P_VAL_FETCH_RELA                                       4
#define C19032P_VAL_FETCH_RLEA                                       5
#define C19032P_VAL_FETCH_TELA                                       6
#define C19032P_VAL_FETCH_TLEA                                       7
#define C19032P_VAL_FETCH_DELA                                       8
#define C19032P_VAL_FETCH_DLEA                                       9
#define C19032P_VAL_FETCH_FELA                                       10
#define C19032P_VAL_FETCH_FLEA                                       11
#define C19032P_VAL_FETCH_LACMET                                     12
#define C19032P_VAL_FETCH_LDCMET                                     13

/*- Attribute Values generated by CVI on 2003/11/24 at 12:10 PM ---------*/
#define C19032P_VAL_LC_POWER_VOLTAGE                                 0
#define C19032P_VAL_LC_POWER_CURRENT                                 1
#define C19032P_VAL_LC_POWER_VA                                      2
#define C19032P_VAL_LC_POWER_SIMULATE                                3
#define C19032P_VAL_LC_POWER_SOURCE                                  4

/*- Attribute Values generated by CVI on 2003/11/24 at 02:02 PM ---------*/
#define C19032P_VAL_LC_DEVICE_UL544NP                                0
#define C19032P_VAL_LC_DEVICE_UL544P                                 1
#define C19032P_VAL_LC_DEVICE_UL1563                                 2
#define C19032P_VAL_LC_DEVICE_UL2601                                 3
#define C19032P_VAL_LC_DEVICE_UL1950                                 4

/*- Attribute Values generated by CVI on 2003/11/24 at 02:42 PM ---------*/
#define C19032P_VAL_LC_LINE_NORMAL                                   0
#define C19032P_VAL_LC_LINE_REVERSE                                  1
#define C19032P_VAL_LC_LINE_SFNORMAL                                 2
#define C19032P_VAL_LC_LINE_SFREVERSE                                3

/*- Attribute Values generated by CVI on 2003/11/28 at 09:49 AM ---------*/
#define C19032P_VAL_LC_METER_LG                                      0
#define C19032P_VAL_LC_METER_LP                                      1
#define C19032P_VAL_LC_METER_PP                                      2

#define C19032P_VAL_MODE_GB                                          1
#define C19032P_VAL_MODE_AC                                          2
#define C19032P_VAL_MODE_DC                                          3
#define C19032P_VAL_MODE_IR                                          4
#define C19032P_VAL_MODE_LC                                          5
#define C19032P_VAL_MODE_PA                                          6
#define C19032P_VAL_MODE_OSC                                         7

#define C19032P_VAL_X                                                0
#define C19032P_VAL_LX                                               1
#define C19032P_VAL_HX                                               2
#define C19032P_VAL_HLX                                              3

#define C19032P_VAL_NULL                                             0
#define C19032P_VAL_GB_FLOATING                                      1
#define C19032P_VAL_6000_01                                          2
#define C19032P_VAL_6000_02                                          3
#define C19032P_VAL_6000_03                                          4
#define C19032P_VAL_6000_04                                          5
#define C19032P_VAL_6000_06                                          6
#define C19032P_VAL_9030A                                      		7
#define C19032P_VAL_6000_04_FLOATING                                 8
#define C19032P_VAL_6000_06_FLOATING                                 9
#define C19032P_VAL_6000_11                                          10

#define C19032P_VAL_MODEL_19032C                                     0
#define C19032P_VAL_MODEL_19031                                      1
#define C19032P_VAL_MODEL_19032                                      2
#define C19032P_VAL_MODEL_19032P                                     3

#define C19032P_VAL_MODEL_QUADTECH                                   0

#define C19032P_VAL_MODEL_19055                                     4

#define C19032P_VAL_LC_DEVICE_1950U1                                5

#define C19032P_VAL_LC_DEVICE_2601U1                                6

/*- Attribute Values generated by CVI on 2011/11/26 at 12:49 U -------*/
#define C19032P_VAL_GFII_ON                                         0
#define C19032P_VAL_GFI_OFF                                         1
#define C19032P_VAL_GFI_FLOAT                                       2

/*- Attribute Values generated by CVI on 2011/11/27 at 10:25 U -------*/
#define C19032P_VAL_LC_DISP_RMS                                     0
#define C19032P_VAL_LC_DISP_PEAK                                    1


#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __C19032P_HEADER */
